import type { RouteRecordRaw } from 'vue-router';

import { HugeAi, SvgPPT, SvgSpider, SvgWord } from '@vben/icons';

const routes: RouteRecordRaw[] = [
  {
    name: 'aiflow',
    path: '/aiflow',
    meta: {
      icon: HugeAi,
      title: 'AI工作流',
      order: 4,
      authority: ['system'],
    },
    children: [
      {
        name: 'spider',
        path: '/aiflow/spider',
        component: () => import('#/views/spider/index.vue'),
        meta: {
          icon: SvgSpider,
          title: 'AI平台信息获取',
          order: 1,
          authority: ['dify:server:init'],
        },
      },
      {
        name: 'word',
        path: '/aiflow/word',
        component: () => import('#/views/word/index.vue'),
        meta: {
          icon: SvgWord,
          title: 'AI申报书WORD生成',
          order: 2,
          authority: ['dify:chat:send'],
        },
      },
      {
        name: 'ppt',
        path: '/aiflow/ppt',
        component: () => import('#/views/ppt/index.vue'),
        meta: {
          icon: SvgPPT,
          title: 'PPT自动生成',
          order: 3,
          authority: ['dify:workflow:run'],
        },
      },
    ],
  },
];

export default routes;
